#include <bits/stdc++.h>

using namespace std;

int main()
{
    int k,l=3,m=1,raz=1;
    scanf("%d",&k);
    for (int i=0;i<k;i++){
        if (k==m){
            printf("%d\n",l);
            for (int j=0;j<l;j++)
            printf("0 %d\n",j);
            break;
        }
        if (k<m){
            m=m-raz;
            l=l-1;
            if (k-m==1){
            printf("%d\n",l+2);
            for (int j=0;j<l;j++)
            printf("0 %d\n",j);
            printf("1 0\n");
            printf("2 0\n");
            break; } else
            if (k-m==2){
            printf("%d\n",l+3);
            for (int j=0;j<l;j++)
            printf("0 %d\n",j);
            printf("1 0\n");
            printf("2 0\n");
            printf("1 1\n");
            break; } else
            if (k/2==m){
            printf("%d\n",l*2-1);
            for (int j=0;j<l;j++)
            printf("0 %d\n",j);
            for (int j=1;j<l;j++)
            printf("%d 0\n",j);
            break; } else {
            if (k-m==3){
            printf("%d\n",l+4);
            for (int j=0;j<l;j++)
            printf("0 %d\n",j);
            printf("1 0\n");
            printf("2 0\n");
            printf("1 1\n");
            printf("2 1\n");
            break; }

        }}
        l++;
        raz+=(l-2);
        m+=raz;
    }
    return 0;
}